package common.packet;

import java.io.IOException;

import common.network.IClientPlayer;
import common.network.Packet;
import common.network.PacketBuffer;

public class SPacketServerTick implements Packet<IClientPlayer> {
	private int time;
	private String serverInfo;

	public SPacketServerTick() {
	}

	public SPacketServerTick(int time, String info) {
		this.time = time;
		this.serverInfo = info;
	}

	public void readPacketData(PacketBuffer buf) throws IOException {
		this.time = buf.readInt();
		this.serverInfo = buf.readStringFromBuffer(64);
	}

	public void writePacketData(PacketBuffer buf) throws IOException {
		buf.writeInt(this.time);
		buf.writeString(this.serverInfo);
	}

	public void processPacket(IClientPlayer handler) {
		handler.handleServerTick(this);
	}

    public int getTime() {
        return this.time;
    }

	public String getServerinfo() {
		return this.serverInfo;
	}
}
